[arch-commits] Commit in gucharmap/trunk (PKGBUILD gucharmap.install)

Jan de Groot jgc at archlinux.org
Sun Jul 6 12:09:42 EDT 2008


    Date: Sunday, July 6, 2008 @ 12:09:42
  Author: jgc
Revision: 4308

upgpkg: gucharmap 2.22.3-1
    Fix FS#10797

Modified:
  gucharmap/trunk/PKGBUILD
  gucharmap/trunk/gucharmap.install

-------------------+
 PKGBUILD          |   10 +++++++---
 gucharmap.install |   13 ++++++++++++-
 2 files changed, 19 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 16:01:13 UTC (rev 4307)
+++ PKGBUILD	2008-07-06 16:09:42 UTC (rev 4308)
@@ -2,7 +2,7 @@
 # Maintainer: Jan De Groot <jgc at archlinux.org>
 
 pkgname=gucharmap
-pkgver=2.22.1
+pkgver=2.22.3
 pkgrel=1
 pkgdesc="Gnome Unicode Charmap"
 arch=(i686 x86_64)
@@ -14,7 +14,7 @@
 options=('!libtool' '!emptydirs')
 install=gucharmap.install
 source=(http://ftp.gnome.org/pub/gnome/sources/gucharmap/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('cd5f6ae44d29a7582dc179ebc64b42b4')
+md5sums=('f57290934466fda80eb883f77c0a2ff1')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
@@ -22,5 +22,9 @@
               --localstatedir=/var --disable-static \
 	      --disable-scrollkeeper || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+ 
+  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }

Modified: gucharmap.install
===================================================================
--- gucharmap.install	2008-07-06 16:01:13 UTC (rev 4307)
+++ gucharmap.install	2008-07-06 16:09:42 UTC (rev 4308)
@@ -1,11 +1,22 @@
+pkgname=gucharmap
+
 post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
+pre_upgrade() {
+  pre_remove $1
+}
+
 post_upgrade() {
   post_install $1
 }
 
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
 post_remove() {
-  post_install $1
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }





More information about the arch-commits mailing list